Subject: Re: man pages are littered with .ft C and others

From: Jakub Narebski <[email-masked]>
Date: Sun, 3 Feb 2008 11:39:47 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
>> 
>> I see the same error in manpages, for example in git-diff-tree(1)
> 
> http://thread.gmane.org/gmane.comp.version-control.git/53457/focus=53458
> 
> rings a bell?

You mean:

Julian Phillips:
> Are you using docbook xsl 1.72?  There are known problems building the 
> manpages with that version.  1.71 works, and 1.73 should work when it get 
> released.

No, I am using docbook-style-xsl-1.68.1-1, and compiling git from RPM.
Besids, I have different set of problems; only with literal blocks.
So while DOCBOOK_XSL_172 is not set... let me check...

Hmmm...

Before
$ man git-diff-tree

       Example:

       .ft C
       :100644 100644 5be4a4...... 000000...... M file.c
       .ft

$ make DOCBOOK_XSL_172=YesPlease doc
$ man Documentation/git-diff-tree.1

       Example:

              :100644 100644 5be4a4...... 000000...... M file.cWhen -z  option  is
              not  used, TAB, LF, and backslash characters in pathnames are repre-
              sented as \t, \n, and \\, respectively.

So setting DOCBOOK_XSL_172 while it fixes the bug (even if docbook-xsl
is version 1.68.1, not 1.72), but introduces another.

Unfortunately I don't know enough about AsciiDoc, DocBook and XML
toolchain to even *try* to fix this issue.

P.S. Alternate soution would be for SRPM to contain pre-compiled
manpages, and not require asciidoc and its toolchain to provide
manpages.
-- 
Jakub Narebski
Poland